Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
facebook
/
post
Get Facebook post
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/facebook/post \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "url": "https://www.facebook.com/openai/posts/1234567890"
}
'
{
  "data": {
    "url": "<string>",
    "text": "<string>",
    "statusCode": 123,
    "postId": "<string>",
    "authorName": "<string>",
    "authorUrl": "<string>",
    "postedAt": "<string>",
    "likeCount": 123,
    "commentCount": 123,
    "shareCount": 123,
    "viewCount": 123
  },
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/facebook/post

Get public Facebook post content.
Retrieve public post content for a Facebook post, video, reel, or photo URL.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/facebook/post \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://www.facebook.com/openai/posts/1234567890"}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
url
string
required
Example:

"https://www.facebook.com/openai/posts/1234567890"

Response

Facebook post page content.

data
object
required
meta
object
required